Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454016 - Libraries (libnss) missing after F8 to F9 preupgrade
Summary: Libraries (libnss) missing after F8 to F9 preupgrade
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: preupgrade
Version: 8
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:14 UTC by Chuck Wheat
Modified: 2009-01-09 06:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:39:29 UTC


Attachments (Terms of Use)

Description Chuck Wheat 2008-07-03 20:14:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
Updated Fedora 8 VM to current packages.
Installed preupgrade-0.9.3-3.fc8
Ran preupgrade, download completed successfully, reboot successful, anaconda install successful.  Rebooted

Fedora 9 boots, but complain about missing libnss.so.3 object at several steps.

Cannot log in to KDE.
Reboot in to runlevel 3 and can log in fine.

sshd, yum and rpm are all broken.

Version-Release number of selected component (if applicable):
preupgrade-0.9.3-3.fc8

How reproducible:
Always


Steps to Reproduce:
1. Rolled back to VM snapshot
2. Run preupgrade-0.9.3-3.fc8
3. Everythign completes successfully, but system is unusable in F9

Actual Results:
Cannot log in to GUI
Can log in with runlevel 3
sshd, yum and rpm all complain about missing libnss.so.3

Checked /usr/lib and notice several broken symlinks

Expected Results:


Additional info:
Since I have the VM snapshot, I can repeat the process to provide any additional information.

Comment 1 Milos Jakubicek 2008-08-10 20:56:27 UTC
I can confirm this behavior, however it doesn't occur always (I updated 3 stations, one of them is affected) -- and looking into Google shows there are quite a lot of users asking what to do after such upgrade. The only way I'm aware of is to boot up from CD/DVD/another machine, use the rpm on that, download packages that are corrupted and reinstall them (via rpm -Uvh --force --root <damaged root>).
In my case I needed to reinstall (at least) python, python-libs, python-devel, rpm, rpm-libs, rpm-python, yum, tkinter, nss, nss-tools, nspr and fedora-release to get the system in a sort of usable state (imho the rest has been solved by "yum update":)

Could this scenario be prevented somehow?

Comment 2 Bug Zapper 2008-11-26 10:57:13 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-01-09 06:39:29 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.